Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class ServerNotificationManagerConfigurator

    java.lang.Object
      org.mule.config.spring.ServerNotificationManagerConfigurator

All Implemented Interfaces:
  MuleContextAware, org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.SmartFactoryBean, org.springframework.context.ApplicationContextAware

    public class ServerNotificationManagerConfigurator

extends Object
implements MuleContextAware, org.springframework.beans.factory.SmartFactoryBean, org.springframework.context.ApplicationContextAware

Constructor Summary
`ServerNotificationManagerConfigurator()`

Method Summary
`protected Set<ListenerSubscriptionPair>` | `getMergedListeners(ServerNotificationManager notificationManager)`
`Object` | `getObject()`
`Class` | `getObjectType()`
`boolean` | `isEagerInit()`
`boolean` | `isPrototype()`
`boolean` | `isSingleton()`
`void` | `setAllListenerSubscriptionPairs(Collection pairs)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setDisabledInterfaces(Collection interfaces)`
`void` | `setInterfaceToTypes(Map interfaceToEvents)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setNotificationDynamic(boolean dynamic)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerNotificationManagerConfigurator

    public ServerNotificationManagerConfigurator()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

### getMergedListeners

    protected Set<ListenerSubscriptionPair> getMergedListeners(ServerNotificationManager notificationManager)

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### setNotificationDynamic

    public void setNotificationDynamic(boolean dynamic)

### setInterfaceToTypes

    public void setInterfaceToTypes(Map interfaceToEvents)
                             throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### setAllListenerSubscriptionPairs

    public void setAllListenerSubscriptionPairs(Collection pairs)

### setDisabledInterfaces

    public void setDisabledInterfaces(Collection interfaces)
                               throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### isEagerInit

    public boolean isEagerInit()

  Specified by:
    `isEagerInit` in interface `org.springframework.beans.factory.SmartFactoryBean`

### isPrototype

    public boolean isPrototype()

  Specified by:
    `isPrototype` in interface `org.springframework.beans.factory.SmartFactoryBean`

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.